<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<h:head>
	<title>Devoluciones</title>
</h:head>
<h:body>
	<ui:composition template="./main.xhtml">
		<ui:define name="content">

			<p:fieldset legend="Devoluciones" styleClass="container">
				<p:outputPanel class="ui-grid ui-grid-responsive">

					<div class="ui-grid-col-6">

						<h:form id="formentrada">
							<p:growl id="msj" />

							<h:panelGrid styleClass="card" cellpadding="4" cellspacing="4"
								style="width:97%;">
								<f:facet name="header">
									<h3>Busqueda de Factura</h3>
								</f:facet>
								<h:panelGrid columns="4" styleClass="grids">
									<p:outputLabel value="Número de Factura" />

									<p:inputText value="#{devolucionBean.numFactura}">
										<p:ajax event="blur" update="formproductos formentrada"
											listener="#{devolucionBean.factura()}" />
									</p:inputText>

									<p:outputLabel value="Cliente" />
									<p:inputText value="#{devolucionBean.clienteFactura}" />
								</h:panelGrid>
							</h:panelGrid>
						</h:form>


						<h:form id="formproductos">
							<p:growl id="msj" />

							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Productos Comprados</h3>
								</f:facet>

								<h:panelGrid columns="2" styleClass="grids">

									<p:dataTable value="#{devolucionBean.listaDetalle}" var="d">

										<p:column headerText="Producto">
											<h:outputText value="#{d.productos.nombre}" />
										</p:column>
										<p:column headerText="Acciones">
											<p:commandButton style="display:block; margin:auto;"
												icon="fa fa-check-square" value="Seleccionar"
												actionListener="#{devolucionBean.seleccionarProducto(d)}"
												update="formdevolucion" />
										</p:column>
									</p:dataTable>

								</h:panelGrid>
							</h:panelGrid>
						</h:form>

					</div>

					<div class="ui-grid-col-6">
						<h:form id="formdevolucion">
							<p:growl id="msj" />

							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Devolucion</h3>
								</f:facet>

								<h:panelGrid columns="4" styleClass="grids">
									<h:form id="datadev">
										<p:dataTable value="#" var="d">
											<p:column headerText="Id" rendered="false">
												<p:inputText value="#{devolucionBean.facturaDID}" />
											</p:column>
											<p:column headerText="Producto">
												<h:outputText
													value="#{devolucionBean.facturacionDetalle.productos.nombre}" />
											</p:column>
											<p:column headerText="Cantidad">
												<p:inputText value="#{devolucionBean.dev.cantidad}"
													required="true" />
											</p:column>
											<p:column headerText="Motivo">
												<p:inputText value="#{devolucionBean.dev.motivo}"
													required="true" />
											</p:column>
										</p:dataTable>

										<h:panelGrid columns="4" styleClass="grids">
											<p:commandButton icon="pi pi-save"
												value="Registrar Devolución"
												actionListener="#{devolucionBean.generarDevolucion()}" />

											<p:commandButton icon="pi pi-times" value="Cancelar"
												action="#{devolucionBean.init()}"
												update="formdevolucion formproductos formentrada" />

											<p:commandButton icon="pi pi-print"
												value="Imprimir Comprobante" />
										</h:panelGrid>
									</h:form>

								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>

				</p:outputPanel>
			</p:fieldset>

			<ui:include src="/footer.xhtml" />
		</ui:define>
	</ui:composition>

</h:body>
</html>


